curl --request POST \
--url https://api.example.com/v1/preview/sft-training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123
},
"experimental_config": {}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}新しい SFT(教師ありファインチューニング)トレーニングジョブを作成します。
curl --request POST \
--url https://api.example.com/v1/preview/sft-training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123
},
"experimental_config": {}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
新しい SFT (Supervised Fine-Tuning) TrainingJob を作成するためのスキーマ。
クライアントはトレーニングデータ (trajectories.jsonl と metadata.json) を W&B Artifacts にアップロードし、そのArtifactsの URL を指定する必要があります。
成功レスポンス
TrainingJob 応答スキーマ。